Bug 151976 - Graphical desktop hangs after login
Graphical desktop hangs after login
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-03-23 18:27 EST by Nelson Delvalle
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-04 18:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nelson Delvalle 2005-03-23 18:27:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
I installed FC4-Test1 on my Dell-Inspiron 1100 laptop which has four Partition Magic (PM) partitions (hdc1=NTFS, hdc2=swap, hdc3=linux, hdc4=fat32). The installation went well as expected. After post-installation reboot, the login screen appears and I login as root. The desktop hangs on blue screen and I'm forced to cold boot. During custom installation, I was not given the choice to configure the Graphics card and monitor as in previous versions of FC. I've attempted to change graphical desktops from GNOME to KDE but still hangs immediately after the login process. FC1, FC2, and FC3 all have run stable running on a PM partition. Laptop Stats: 512MB SDRAM, 16GB Linux Partition, 640MB Swap, Intel 82845GM graphics card.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC4 "Custom" - Install goes well
2. No option to configure XServer during install?
3. Reboot after post-installation
4. Login splashscreen appears and I login as root
5. System attempts to initialize desktop but hangs on bluescreen
6. Mouse and keyboard still functional
6. Forced to cold boot.

Actual Results:  Desktop hangs and unable to initialize desktop. When I enter keystrokes ctrl+alt+F1 for shell, system attempts to shell but hangs on black screen.

Expected Results:  Either GNOME or KDE desktops should have initialized or bash should have appeared allowing me to login using runlevel 3. 

Additional info:

getting gtk+ errors on boot - but not able to read or stop process quick enough to read all errors.
Comment 1 Frank Swasey 2005-04-07 13:48:28 EDT
I am having the same problem on a Dell C800.

- Has Windows/XP as /dev/hda1 (NTFS)
- First attempted an Upgrade install from FC3, and graphical login hung on blue
screen, but Ctrl-F1 worked and I could log in on console -- yum update and
up2date -u both failed though.
- Attempted a new install from the FC4T1 cd's as a workstation (took the
defaults to only delete the Linux partitions).
- Graphical login hangs at blue screen and Ctrl-F1 hangs at a screen that
indicates the screen buffer is badly being abused (several overlayed copies of a
partially blank screen -- like the original FC3 graphical install did until
frame buffers were disabled on this poor old Dell).

Things of Note:
  - I allowed the software to test the CD media on disc's 1 and 2 and it failed
both of them, although the sha1sum matched on what I downloaded with bittorrent.
 However, a dd of the created disc terminates with an I/O error and the filesize
is wrong.
Comment 2 han pingtian 2005-04-08 05:28:01 EDT
I meet the same problem.

When this happens, I find blow info in /var/log/messages: 
Apr  7 02:56:50 fc4t1      gdm(pam_unix)[4153]: session opened for user root by
Apr  7 02:56:50 fc4t1 gdm[4153]: Can't set EGID to user GID
Apr  7 02:57:02 fc4t1 last message repeated 25478 times
Apr  7 02:57:02 fc4t1 gpm[1997]: *** info [mice.c(1766)]: 
Apr  7 02:57:02 fc4t1 gpm[1997]: imps2: Auto-detected intellimouse PS/2
Apr  7 02:57:02 fc4t1 gdm[4153]: Can't set EGID to user GID
Apr  7 02:57:02 fc4t1 last message repeated 11 times

I think the "last message repeated 25478 times" make it hang

I can "startx" on "level 3".
Comment 3 Glenn O. Pringle 2005-04-10 23:29:41 EDT
Installed FC4 Test 1 on a Toshiba Satellite 2805-S201. I chosed the custom
install and all went well(although a little slow compared to previous installs).
The machine booted after install and just displayed a blue screen after login
attempt to GNOME. I did the CTRL+F# combination to access the console and it
switched but the colors were distorted. Rebooted several times and I still got
the same behaviour.

I took a look at the logs (dmesg/boot) and I found messages saying that gtk was
Comment 4 Ray Strode [halfline] 2005-05-03 10:37:13 EDT
FC4 Test1 had a bug where GDM (the program that provides the login screen) would
monopolize the CPU.  This seems like it may be the cause of your problems.  Are
any of you seeing this with a newer test release or with rawhide?
Comment 5 Frank Swasey 2005-05-04 15:52:39 EDT
I am no longer having this problem on the C800 with FC4T2.
Comment 6 Ray Strode [halfline] 2005-05-04 18:02:53 EDT
Great.  Let's close this then.  If it pops up again we can reopen it.

Note You need to log in before you can comment on or make changes to this bug.